All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Class CustomizerPanel

    com.sas.visuals.CustomizerPanel

All Implemented Interfaces:
  ContainerInterface, com.sas.awt.print.PrintableInterface, VisualInterface, com.sas.beans.CustomizerClosingInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.DesignTimeDropTargetInterface, com.sas.lang.StringDataInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, ValidatorInterface, com.sas.ViewInterface, MultipleValueEventSourceInterface, TabFolderInterface, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.Customizer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

Direct Known Subclasses:
  RemoteObjectCustomizerPanel

    public abstract class CustomizerPanel

implements com.sas.beans.Customizer, com.sas.beans.CustomizerClosingInterface

CustomizerPanel is an abstract class from which each component's customizer tabs should derive from. It provides PropertyChangeListener support and a place to store a reference to the object being customized.

See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` | `bean`

Fields inherited from class com.sas.visuals.TabFolder
`RB_KEY`

Constructor Summary
`CustomizerPanel(java.lang.String tabName)` Constructor used to pass the tab name up to the superclass.

Method Summary
`void` | `customizerClosing()` customizerClosing() is called when the customizer for a component is closed.
`java.lang.Object` | `getObject()` Returns the Object being customized.
`void` | `setObject(java.lang.Object bean)` Sets the Object being customized.

Methods inherited from class com.sas.visuals.TabFolder
`getDefaultHeight, getDefaultWidth, getExtendedBeanInfo, getTabButton, getText, propertyChange, setBackground, setDefaultHeight, setDefaultValues, setDefaultWidth, setTabButton, setText`

Methods inherited from class com.sas.awt.Panel
`remove, remove, removeAll`

Methods inherited from class com.sas.awt.PanelContainerComponent
`addNotify, clone, dragEnter, dragLeave, dragOver, drop, getContainerInterfaceSupportInfo, getErrorHandler, getInsets, getValidator, isIDEDnDDropBarrier, isIDEDnDDropTarget, isValid, removeNotify, setContainerInterfaceSupportInfo, setErrorHandler, setIDEDnDDropBarrier, setIDEDnDDropTarget, setInsets, setInsets, setValidator, superAddNotify, superGetInsets, superRemoveNotify, superSetDefaultValues`

Methods inherited from class com.sas.awt.PanelVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, computePreferredSize, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getMinimumSize, getModelInterface, getPageBounds, getPreferredSize, getPrePainter, getPrintOptionsPanel, getRequiredInterfaces, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initialize, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, pageExists, paint, print, printFinalize, printInitialize, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setBounds, setComponentDescription, setComponentSupportInfo, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, update, validateObject`

Methods inherited from interface com.sas.awt.ContainerInterface
`getComponents, getLayout, invalidate, setLayout, validate`

Methods inherited from interface com.sas.awt.VisualInterface
`computePreferredSize, getBackgroundColor, getBorder, getFont, getForegroundColor, getHeight, getHorizontalPosition, getMinimumSize, getPreferredSize, getPrePainter, getVerticalPosition, getVisualInterfaceSupportInfo, getWidth, isEnabled, isFocus, isTransparent, isVisible, setBackgroundColor, setBorder, setBounds, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setPreferredSize, setPrePainter, setTransparent, setVerticalPosition, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate`

Field Detail

### bean

    protected java.lang.Object bean

Constructor Detail

### CustomizerPanel

    public CustomizerPanel(java.lang.String tabName)

  Constructor used to pass the tab name up to the superclass.

Method Detail

### customizerClosing

    public void customizerClosing()

  customizerClosing() is called when the customizer for a component is closed. customizerClosing() of the customizerView calls customizerClosing() on each of the panels in the CustomizerView which extend CustomizerPanel.

  customizerClosing() should "unhook" the bean from the customizer by removing any event listeners the panel added to the bean.

  Subclasses should call super in case we add some functionality to this method in the future.

  Specified by:
    `customizerClosing` in interface `com.sas.beans.CustomizerClosingInterface`

### getObject

    public java.lang.Object getObject()

  Returns the Object being customized.

  See Also:
    `setObject(java.lang.Object)`

### setObject

    public void setObject(java.lang.Object bean)

  Sets the Object being customized.

  Specified by:
    `setObject` in interface `java.beans.Customizer`
  Parameters:
    `bean` - the Object being customized.
  See Also:
    `Customizer.setObject(java.lang.Object)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.